> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Create Service

*August 2025*

`POST /api/service-eligibility` → `POST /api/service-eligibility/v2`

### Context

The original endpoint potentially includes a synchronous, blocking call through to insurance payers.
For predictable behavior and reliability, these are deprecated in favor an asynchronous pattern.

See the [Synchronous API Migration Guide](/api/deprecated/migration-guides/synchronous-apis) for details.

### Changes

The new endpoint does not wait on validation with the payer.
The ServiceEligibility will always be returned with its initial `status` value of `PENDING`.

### Migration

Workflows should move to the asynchronous pattern, see the migration guide.

### Priority

For most partners, this is an important part of their user experience, and asynchronous APIs will perform better.